/*****************************************************************************
******************************************************************************
*
*               VRML child node base class
*
*               $Revision: 1.1.2.1 $
*               $Date: 2009/01/22 15:53:19 $
*               $Author: Xjhouska $
*
******************************************************************************
*****************************************************************************/

// Copyright (C) 1998  Chris Morley
// Modified by HUMUSOFT s.r.o.  Copyright 1998-2009 HUMUSOFT s.r.o.

//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//


#ifndef VRMLNODECHILD_H
#define VRMLNODECHILD_H

#include "VrmlNode.h"


/**
 * Base class for all nodes that may be children of a Group node.
 */
class VrmlNodeChild : public VrmlNode
{

public:

  // Constructor
  VrmlNodeChild(VrmlScene* scene) : VrmlNode(scene) {};

  // Define the fields of all built in child nodes
  static inline VrmlNodeType* defineType(VrmlNodeType* t)
    { return VrmlNode::defineType(t); }

};

#endif // VRMLNODECHILD_H
