/*****************************************************************************
******************************************************************************
*
*               Various configuration options
*
*               $Revision: 1.1.2.1 $
*               $Date: 2009/01/22 15:56:47 $
*               $Author: Xjhouska $
*
******************************************************************************
*****************************************************************************/

// Copyright (C) 2000  Braden N. McDaniel
// Modified by HUMUSOFT s.r.o.  Copyright 1998-2009 HUMUSOFT s.r.o.

//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//



/* $Revision: 1.1.2.1 $ */
#define OPENVRML_MAJOR_VERSION	0
#define OPENVRML_MINOR_VERSION	10
#define OPENVRML_MICRO_VERSION	0

#if !defined(__ORBISNAP__) || defined(_WIN32)	// get rid of many warnings on Unixes

// Disable warning messages about truncation from const double to float
# pragma warning( disable : 4305 )
// Disable warning messages about truncating names in debug info
# pragma warning( disable : 4786 )

#endif


#define SLASH '/'
#define COLON ':'

// static const char SLASH = '/';
// static const char COLON = ':';

/* Make sure that PI and friends are defined.  This is needed under
   platforms that are not directly BSD derived (even under GNU libc
   this is not included by default).
*/
#ifndef M_PI
#define M_PI            3.14159265358979323846  /* pi */
#endif

#ifndef M_PI_2
#define M_PI_2          1.57079632679489661923  /* pi/2 */
#endif

#ifndef M_PI_4
#define M_PI_4          0.78539816339744830962  /* pi/4 */
#endif

#ifndef M_1_PI
#define M_1_PI          0.31830988618379067154  /* 1/pi */
#endif
